> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleartalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get phone numbers for a messaging service



## OpenAPI

````yaml get /agency/twilio/messaging-service-phone-numbers
openapi: 3.0.0
info:
  title: ClearTalk API
  description: The ClearTalk API Documentation
  version: '1.0'
  contact:
    name: Developer Support
    email: devsupport@cleartalk.ai
servers:
  - url: https://api.cleartalk.ai
    description: ClearTalk AI API Server
security: []
tags: []
paths:
  /agency/twilio/messaging-service-phone-numbers:
    get:
      tags:
        - Twilio
      summary: Get phone numbers for a messaging service
      operationId: TwilioController_getMessagingServicePhoneNumbers
      parameters:
        - name: page
          required: false
          in: query
          schema:
            type: number
        - name: limit
          required: false
          in: query
          schema:
            type: number
      responses:
        '200':
          description: Returns phone numbers associated with a messaging service
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        sid:
                          type: string
                          description: Phone number SID
                        account_sid:
                          type: string
                          description: Account SID
                        phone_number:
                          type: string
                          description: Phone number in E.164 format
                        country_code:
                          type: string
                          description: Country code
                        capabilities:
                          type: object
                          description: Phone number capabilities
                          properties:
                            sms:
                              type: boolean
                            voice:
                              type: boolean
                            mms:
                              type: boolean
                        date_created:
                          type: string
                          description: Creation date
                        date_updated:
                          type: string
                          description: Last update date
                        url:
                          type: string
                          description: Resource URL
                  meta:
                    type: object
                    properties:
                      page:
                        type: number
                      pageSize:
                        type: number
                      totalPages:
                        type: number
                      total:
                        type: number
                      start:
                        type: number
                      end:
                        type: number
        '400':
          description: Bad request - messagingServiceSid is required
        '401':
          description: Unauthorized
        '404':
          description: Messaging service not found
        '500':
          description: Internal server error
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````